# \Thelia\Core\Security\RoleRoleInterface

RoleInterface represents a role granted to a user.

A role must either have a string representation or it needs to be explicitly supported by at least one AccessDecisionManager.

## Summary

Methods
Constants
getRole()
No constants found
No protected methods found
N/A
No private methods found
N/A

File
  Core/Security/Role/RoleInterface.php
Package
  \Default

## Tags

author | Fabien Potencier fabien@symfony.com

## Methods

### getRole()

    getRole() : string|null

Returns the role.

This method returns a string representation whenever possible.

When the role cannot be represented with sufficient precision by a string, it should return null.

#### Returns

string|null —

A string representation of the role, or null

#

## Tags

None found

### RoleInterface.php